Meowfy 7. des, 2012 @ 3:45am
Issue Report: TF2 Error; Won't Launch (S3TC Problem)
I just finished installing TF2 and after trying to launch it, I get an error message which is in the photo here: http://imgur.com/y0Ghd

I'm using an integrated Intel graphics card, on Linux Mint 13 Cinnamon. Idk if there's a solution or not, but I figured I should let you guys know just in case it's happened to someone else as well.
Viser 1-6 av 6 kommentarer
< >
Oktoras 7. des, 2012 @ 3:58am 
I think you must install libtxc-dxtn-s2tc0 library.

It has some patent issues, so it might not be in your Linux distribution standard repository.

I am using that on my Intel system, and it least I am able to play Lord of the Rings online (via Wine) succesfully with it.

If you still have problems with it, try to install & run driconf, and enable option "Enable S3TC texture compression..." from page Image Quality. You may need to log off and log on again to apply the change.
Letalis Sonus 7. des, 2012 @ 4:10am 
Opprinnelig skrevet av Oktoras:
I think you must install libtxc-dxtn-s2tc0 library.

It has some patent issues, so it might not be in your Linux distribution standard repository.
The S2TC is a different implementation that is supposed to not have any patent issues. The net is still full with packages of the old original S3TC implemenation, though.
Chuckaluphagus 7. des, 2012 @ 10:10am 
Alternate solution is to use a piece of software called DRIconf, available in the Ubuntu repositories (and likely elsewhere). Already wrote about it here: http://steamcommunity.com/app/221410/discussions/6/846939071071956036/#c846939071135717941
Meowfy 7. des, 2012 @ 3:29pm 
Alright, thanks for the replies. I'll be sure to try these out.
TiZ 15. des, 2012 @ 12:35pm 
If you're on 64-bit, remember: you'll need to install the 32-bit version of the library. On debian-based systems, you'll do "sudo apt-get install libtxc-dxtn-s2tc0:i386"
Viser 1-6 av 6 kommentarer
< >
Per side: 15 30 50